<?php defined('SYSPATH') || die('No direct script access.');

class Model_Disciplines extends Model
{
    public static function getWithFullness($type, $semesterID) {
        $sql = 'CALL `Discipline_GetWithFullness`(:type, :semesterID)';
        $info = DB::query(Database::SELECT, $sql)
            ->param(':type', $type)
            ->param(':semesterID', $semesterID)
            ->execute();

        $disciplines = array();
        foreach ($info as $discipline) {
            $disciplines[] = Model_Discipline::load($discipline['ID']);
        }

        return $disciplines;
    }
}
